#pragma once

#include <LibQtGeoViewerCore/SceneMain.h>
#include "Camera.h"



class CameraMeasure
{
public:
	CameraMeasure(SceneMain* scene, gl::Camera* camera) :
		m_Scene(scene),
		m_Camera(camera)
	{
	}

	void Render(void);

private:
	void RenderCameraMeasureAxis(const lm::vec2f& axis_a, const lm::vec2f& axis_b, float abs_len);

private:
	SceneMain* m_Scene;
	gl::Camera* m_Camera;
};

